﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DotSpatial.Controls;
using DevExpress.XtraTreeList;
using DotSpatial.Plugins.OverviewMap.Properties;

namespace DotSpatial.Plugins.OverviewMap
{
    public partial class OverviewMapControl : UserControl
    {


        public OverviewMapControl()
        {
            InitializeComponent();
        }

        public Map OverviewMap 
        {
            get { return this.map1; }
        }

        public TreeList TreeList
        {
            get { return this.treeList; }
        }

        private void treeList_GetSelectImage(object sender, GetSelectImageEventArgs e)
        {
            var val = e.Node.GetValue(1).ToString();
            e.NodeImageIndex = 0;
            if(val == "0")
            {
                e.NodeImageIndex = 1;
            }
        }

    }
}
